import React, {useState} from 'react';
import ReactDOM from 'react-dom';
import {Dropdown} from './Dropdown'


const options = [

/*
  two things in select: value and label
    value: unique id
    label: you see in the menu when open it
*/
  
  {value: 'goldfish', label:'Goldfish'}, 
  {value: 'dog', label:'Dog'},
  {value: 'cat', label:'Cat'}
];
  
const initialValue = 'dog'

const App = () => {
	const [selectedValue, setSelectedValue] = useState(initialValue);  
  console.log(selectedValue);
  return(
    <div>
      <label for="pet-select">Choose a pet:</label>
      <Dropdown 
        options = {options} 
        id = "pet-select"
        selectedValue = {selectedValue}
        onSelectedValueChange={setSelectedValue}/>
    </div>
    );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);